# Special locale characters and PgAccess

The problem is related with some special characters used in different countries because PgAccess did not use fonts with `-ISO8859-1' encoding --

The sollution was proposed by H.P.Heidinger ( hph@hphbbs.ruhr.de) and it's very simple.

If you look into PgAccess, you will find fonts declared as follows :

`$ grep -e '-font' -i pgaccess.tcl
-font -Adobe-Helvetica-Medium-R-Normal--*-120-*-*-*-*-*-* \
-font -Adobe-Helvetica-Medium-R-Normal--*-120-*-*-*-*-*-* \
-font -Adobe-Helvetica-Medium-R-Normal--*-120-*-*-*-*-*-* \
-font -Adobe-Helvetica-Medium-R-Normal--*-120-*-*-*-*-*-* \`

It should be something like: -adobe-helvetica-medium-r-normal-*-*-120-*-*-*-*-iso8859-1

You can achieve this by running the following script :

`#!/bin/sh
cp pgaccess.tcl pgaccess.tcl-org
cat pgaccess.tcl |\
sed -e's/\-\*\-\*\ /\-iso8859\-1\ /g' |\
sed -e's/\-\*\-\*\}/\-iso8859\-1}/g' |\
sed -e's/\-\*\-\*\]/\-iso8859\-1]/g' |\
sed -e's/\-\*\-\*$/\-iso8859\-1/g' |\
sed -e's/\-Clean\-/\-Fixed\-/g' |\
sed -e's/clean/fixed/g' >pgaccess.iso
mv pgaccess.iso pgaccess.tcl
chmod +x pgaccess.tcl`

The final version of PgAccess (1.0) will let the user decide what fonts will be used through a "preferences" dialog window.